MASSACHUSETTS INSTITUTE OF TECHNOLOGY

Similar documents
Stanford University CS261: Optimization Handout 9 Luca Trevisan February 1, 2011

Unless stated otherwise, explain your logic and write out complete sentences. No notes, books, calculators, or other electronic devices are permitted.

Modeling, Analysis and Optimization of Networks. Alberto Ceselli

Constructions of Coverings of the Integers: Exploring an Erdős Problem

Problem 1 (15 points: Graded by Shahin) Recall the network structure of our in-class trading experiment shown in Figure 1

ECON 282 Final Practice Problems

Algorithms and Data Structures: Network Flows. 24th & 28th Oct, 2014

Econ 172A - Slides from Lecture 18

RMT 2015 Power Round Solutions February 14, 2015

Gas Pipeline Construction

Team Round University of South Carolina Math Contest, 2018

The tenure game. The tenure game. Winning strategies for the tenure game. Winning condition for the tenure game

MASSACHUSETTS INSTITUTE OF TECHNOLOGY

UMBC 671 Midterm Exam 19 October 2009

Best of luck on the exam!

Final Practice Problems: Dynamic Programming and Max Flow Problems (I) Dynamic Programming Practice Problems

2009 Leap Frog Relay Grades 6-8 Part I Solutions

Introduction to Spring 2009 Artificial Intelligence Final Exam

Checkpoint Questions Due Monday, October 7 at 2:15 PM Remaining Questions Due Friday, October 11 at 2:15 PM

Game Theory and Algorithms Lecture 3: Weak Dominance and Truthfulness

CSE 312 Midterm Exam May 7, 2014

Midterm Examination. CSCI 561: Artificial Intelligence

Dijkstra s Algorithm (5/9/2013)

Question Score Max Cover Total 149

39 th JUNIOR HIGH SCHOOL MATHEMATICS CONTEST APRIL 29, 2015

37 Game Theory. Bebe b1 b2 b3. a Abe a a A Two-Person Zero-Sum Game

CS 32 Puzzles, Games & Algorithms Fall 2013

BMT 2018 Combinatorics Test Solutions March 18, 2018

Individual 5 th Grade

Game Playing Part 1 Minimax Search

Crossing Game Strategies

40 th JUNIOR HIGH SCHOOL MATHEMATICS CONTEST MAY 4, 2016

Midterm 2 6:00-8:00pm, 16 April

UNIVERSITY of PENNSYLVANIA CIS 391/521: Fundamentals of AI Midterm 1, Spring 2010

Grade 6 Math Circles Combinatorial Games November 3/4, 2015

Game Theory and Randomized Algorithms

Chapter 4 Number Theory

Table of Contents. Table of Contents 1

Probability and Counting Techniques

DIGITAL DESIGN WITH SM CHARTS

NRP Math Challenge Club

Cutting a Pie Is Not a Piece of Cake

Grade 6 Math Circles Combinatorial Games - Solutions November 3/4, 2015

CS188 Spring 2010 Section 3: Game Trees

The 2016 ACM-ICPC Asia China-Final Contest Problems

Directions: Show all of your work. Use units and labels and remember to give complete answers.

Assignment Problem. Introduction. Formulation of an assignment problem

CS188: Artificial Intelligence, Fall 2011 Written 2: Games and MDP s

Math 152: Applicable Mathematics and Computing

PUTNAM PROBLEMS FINITE MATHEMATICS, COMBINATORICS

Partial Answers to the 2005 Final Exam

George Fox University H.S. Programming Contest Division - I 2018

Organization Team Team ID# If each of the congruent figures has area 1, what is the area of the square?

Coding for Efficiency

CS 787: Advanced Algorithms Homework 1

Ideas beyond Number. Activity worksheets

Finite Mathematical Structures A

2013 Mid-Atlantic Regional Programming Contest

Problem 1. (15 points) Consider the so-called Cryptarithmetic problem shown below.

State Math Contest 2018 Junior Exam

6.042/18.062J Mathematics for Computer Science December 17, 2008 Tom Leighton and Marten van Dijk. Final Exam

Experiments on Alternatives to Minimax

Your written assignment is to complete the written practice for lessons 5, 10, and 14. You will find those questions on the following pages.

Section Marks Agents / 8. Search / 10. Games / 13. Logic / 15. Total / 46

CPSC 217 Assignment 3

9694 THINKING SKILLS

CS188 Spring 2010 Section 3: Game Trees

Week 6: Advance applications of the PIE. 17 and 19 of October, 2018

b. How would you model your equation on a number line to show your answer?

mywbut.com Two agent games : alpha beta pruning

Problem Set 2. Counting

n r for the number. (n r)!r!

Exercises and Problems 1.1

Mathematics Competition Practice Session 6. Hagerstown Community College: STEM Club November 20, :00 pm - 1:00 pm STC-170

Outcome 7 Review. *Recall that -1 (-5) means

Week 1. 1 What Is Combinatorics?

Algebra/Geometry Session Problems Questions 1-20 multiple choice

Dynamic Programming. Objective

CS 540: Introduction to Artificial Intelligence

Grade 7/8 Math Circles Game Theory October 27/28, 2015

Final Exam, Math 6105

Expected Value, continued

4th Bay Area Mathematical Olympiad

Combinatorics: The Fine Art of Counting

Cardinality and Bijections

CS 540-2: Introduction to Artificial Intelligence Homework Assignment #2. Assigned: Monday, February 6 Due: Saturday, February 18

CMPUT 396 Tic-Tac-Toe Game

ON SPLITTING UP PILES OF STONES

In this section, you will learn the basic trigonometric identities and how to use them to prove other identities.

MITOCW R22. Dynamic Programming: Dance Dance Revolution

The US Chess Rating system

CS188 Spring 2014 Section 3: Games

2359 (i.e. 11:59:00 pm) on 4/16/18 via Blackboard

1. The masses, x grams, of the contents of 25 tins of Brand A anchovies are summarized by x =

Problem Set 4 Due: Wednesday, November 12th, 2014

( ) = A. 2. Write the following sets using the roster method. 3. Write the following sets using set-builder notation.

Search then involves moving from state-to-state in the problem space to find a goal (or to terminate without finding a goal).

Network-building. Introduction. Page 1 of 6

Problem A To and Fro (Problem appeared in the 2004/2005 Regional Competition in North America East Central.)

Pearson Edexcel GCE Decision Mathematics D2. Advanced/Advanced Subsidiary

Transcription:

MASSACHUSETTS INSTITUTE OF TECHNOLOGY 15.053 Optimization Methods in Management Science (Spring 2007) Problem Set 7 Due April 12 th, 2007 at :30 pm. You will need 157 points out of 185 to receive a grade of 5. Problem 1: Max Flows and Minimum Cuts (50 Points) Part A: (10 Points) Find the maximum flow from source to sink for the network in Figure 1. Part B: (10 Points) Find the maximum flow from source to sink for the network in Figure 2. Part C: (5 Points) Find a cut whose capacity equals the maximum flow for the network in Figure 1. Part D: (5 Points) Find a cut whose capacity equals the maximum flow for the network in Figure 2. Part E: (10 Points) Suppose for an S-T path we call the pitch of the path as smallest of the arc capacities on the path. Modify the shortest path algorithm to find the total pitch (sum of all the pitches) of the network in figure 2. Part F: (10 Points) Suppose for an S-T path we call the strength of the path as the amount we can send on the path is the product of the arc capacities on the path. Modify the shortest path algorithm to find the total strengths (sum of all the strengths. of the network in figure 1. Page 0 of 11

Figure 1 1 9 3 6 s 1 t 6 2 2 Figure 2 9 7 1 3 9 s 8 2 6 3 9 6 t 7 Problem 2: Network Conversions: (32 Points; Points Each) Part A: Suppose the total flow into a node of a network is restricted to be 10 or less. How can we modify a network to incorporate this restriction? Suppose a network contains a finite number of arcs and the capacity of each arc is an integer. Answer the following questions: Part B: Page 1 of 11

Explain why the Ford Fulkerson method will find the max flow in a finite number of steps. Part C: True or False: The max flow solution found by the Ford Fulkerson algorithm will be integral (Explain your answer). Part D: The network in Figure 3 has two source nodes and two sink nodes. A feasible flow must satisfy conservation of flow at nodes 1 and 2 (flow in = flow out), and we want to maximize the sum of the flows out of s 1 and s 2. Convert this to an equivalent maximum flow problem with a single source node and single sink node. (HINT: you don t have to delete any nodes of the network below. The transformation will involve adding nodes and arcs to the network. Figure 3 t 1 s 1 1 2 3 1 2 s 2 6 2 t 2 Remark: If the objective is to send flow from s1 to t1 and to send flow from s2 to t2, it cannot in general be modeled as a max flow problem. In this case, the problem would be a multicommodity flow problem. In parts E to H you are permitted to have a network with more than one arc from i to j, and each arc will have its own capacity. Such arcs are called parallel arcs. An example could be obtained from Figure 1 if we replaced the arc (1, 3) with two arcs both directed from node 1 to node 3 with capacities and 5. In fact, two arcs with capacities and 5 would be equivalent to a single arc with capacity 9 in terms of the value of the max flow. We ask you to come up with examples of networks illustrating certain properties. When we say that 2 nodes are enough, we mean that the only nodes are s and t. If we say that three nodes are enough, we mean s, t and one other node. Page 2 of 11

Part E: Give an example of a network, with all integral arc capacities having a unique maximum flow (that is, there is only one assignment of flows to arcs that will achieve the maximum flow) and a unique minimum cut. (2 nodes will be enough). Part F: Give an example of a network, with all integral arc capacities having more than one maximum flows and a unique minimum cut. (3 nodes will be enough if you permit parallel arcs.) Part G: Give an example of a network, with all integral arc capacities having a unique maximum flow and more than one minimum cut. (3 nodes will be enough). Part H: Give an example of a network, with all integral arc capacities having at least two different maximum flows and at least two different minimum cuts. (3 nodes will be enough if you permit parallel arcs.) Problem 3: Eulerian Cycle Formulation: (21 Points, 7 Each) Consider the diagram below in which there are 10 rooms, each with walls. Your objective is to draw a continuous line that passes through each wall exactly once, where a wall is a maximum length straight line segment that does not intersect any different line segment. The line is neither permitted to trace back on itself nor go through any corner points. The line can cross itself. The solution below fails for four walls, each of which is in thick. Page 3 of 11

The upper thick wall has two lines going through it. The other three thick walls have no lines going through it. Part A: Explain how to convert this to a graph problem, in which the goal is to find an Eulerian path. Part B: Explain why there is no continuous line that goes through all walls exactly once. Part C: Show how to remove one of the walls of the original diagram (that is, remove a line segment) so that there is an Eulerian path in your graph after the wall is removed. (Removing the wall will lead to one fewer room in the original problem and one fewer node of your graph.) Also, give an Eulerian path. Problem : Retro 15.053 A Problem from the Fall 2001 Exam (The Year Mike took the Class) (2 Points) Jim and Mike are playing a game of rummy in which the winning player scores either 31, 33, or 37 points per hand depending on the cards in the losing player s hand. After 20 rounds Mike has a score of 310. Part A: ( Points) What is the fewest number of hands that Mike could have won to have a score of exactly 310. (You can try solving this using trial and error, and use Excel if it helps. Part B: (16 Points) Express this problem as a shortest path problem (you do not have to solve it). Your network should have between 300 and 350 nodes. Be sure to explain what the nodes Page of 11

represent in the network, what the arcs are in the network, and what the costs are in the network. (HINT: it may help if you work with a problem with smaller numbers first. For example, suppose that the scores are either 2 or 3 and the Mike has a total score of 11. The fewest number of scores that Mike could get summing to 11 is four. Can you create a network with nodes labeled 0, 1, 2, 3,, 11 such that the shortest path from node 0 to node 11 corresponds to 3 scores of 3 and one score of 2?) Part C: ( Points) Explain why solving the shortest path problem for the network you created solves the problem. Problem : Maximum Flows Formulation (28 Points) Suppose Six Flags has the following water slide complex. The complex starts with a single tall tower and ends with the lagoon pool with palm trees at the bottom. Along the way there are intermediate pools, represented by the orange and yellow squares. Additionally, there are two types of slides in the tower: Green slides that take single tubes (that is, one rider at a time) Blue slides that take double tubes (that is, a pair of riders at a time) Page 5 of 11

TOWER POOL Every minute (that is, every time the second hand of a watch points to the 12) one person can start to go down a green slide and a pair can start down a blue slide. The slides themselves each take 5 seconds, which gives each person enough time to continue down the next slide at the start of the next minute. Note that it is OK for a pair to take a blue slide to an intermediate level and then split up and continue down on green slides (extra tubes are stored at the intermediate pools). Last, assume there is already a line 600 people long at the top of the tower (it s a very popular ride). The goal of the water park is to transport as many people as possible from the top to bottom (more people = more money!). Page 6 of 11

Part A: (12 Points) Formulate the problem of finding out how many people can be sent from the top of the complex to the lagoon pool in 5 min as a Maximum Flow problem. (Hint: Let the four locations be labeled T, L, R and B for the top, left, right, and bottom locations on the slide. Then create a time-space network with 2 nodes, where each node designates a location and time. The 2 nodes are T i, L i, R i, B i for i = 0 to 5. For example, T 0 represents the top of the tower at time 0, and R 5 represents the right intermediate pool after exactly 5 minutes. For each i = 0 to 5, draw an arc from T i to L i+1 which means that if you start at the top at minute i, you can go to the left at minute i+1. Since this is a blue slide, each of these arcs would have capacity 2. Continue drawing arcs in a similar manner for the other slides. You also need to add a single source node s with arcs directed to T 0 to T 5, and a single sink node t with arcs directed from B 0 to B 5. The goal is to get as much flow as possible from s to t.) All of the nodes and many of the arcs are on the network in Figure, which is on the next page. You can fill in the remaining arcs on this diagram, as well as label the capacities. Part B: ( Points) Solve your formulation using the Ford-Fulkerson algorithm. For each step, please list the current feasible flow and augmenting path selected. You do not need to redraw the residual network. Part D: ( Points) Suppose we are now interested in how many people can get down from the top in 10 minutes instead of 5 minutes. How many additional nodes would you need to represent this network? Page 7 of 11

Figure s T 0 T 1 T 2 T 3 T T 5 2 2 2 2 2 L 0 L 1 L 2 L 3 L L 5 R 0 R 1 R 2 R 3 R R 5 B 0 B 1 B 2 B 3 B B 5 t Part E: (8 Points) Let v j be the max flow for the j minute problem. Without solving the problem or computing any of the vj s exactly for j > 6, which would you expect to be true? (i) v 10 = 2 v 5 or (ii) v 10 2 v 5 and possibly v 10 > 2 v 5 or (iii) v 10 2 v 5 and possibly v 10 < 2 v 5. Briefly justify your answer. HINT: If you want a general relationship involving v 2j and v j, note that v 3 is 0. Page 8 of 11

Problem 5: Min Cost Flow Formulation of Super Frogs (28 Points) Nooz and Ollie, being sly guys, decide to start a business selling stuffed super frogs to both Six Flags New England and Six Flags Great Adventure. They base their operation out of Seattle Washington. Nooz and Ollie have two production plants, one in San Mateo, CA and one in Bakersfield, CA, which each produce exactly 5000 frogs. The frogs are sent from the production plant to an inspection facility, in either Dallas or Houston. Assume each inspection facility has infinite capacity. From the inspection facility, frogs are shipped to the theme parks, where New England requires 3000 frogs and Great Adventure needs 7000. The shipping cost per frog between cities is shown in the table below. To From Dallas Houston 6 Flags NE 6 Flags GA San Mateo $1 $1 Bakersfield $ $1 Dallas $ $6 Houston $5 $3 Part A (8 Points): Formulate the problem of satisfying demand while minimizing total cost as a Min Cost Flow Problem Part B (8 Points): Write your formulation as a Linear Program For the remaining parts of this problem you will be making modifications to your above formulation. You DO NOT have to redraw the entire network for each part. Rather you should redraw the parts of the network that are modified from part A. We will assume the rest of the network remains how you drew it in part A. Part C (6 point): Suppose there is a cost for inspecting the frogs. The cost is $1 per frog in Houston and $2 per frog in Dallas. Modify your answer to part A to take into account this change. Part D (6 Points): Suppose the facility in Houston can inspect at most 2000 frogs; hence, only 2000 stuffed frogs can be sent to the plant. Modify your answer to part A to take into account this change. Page 9 of 11

Hey Ollie, I miss Turkey Tina You had your chance Tim, I will not play your wing man again Problem 6: Short Question Section (30 Points; 5 Each) Give a small example with each of the following characteristics. You may use parallel arcs (more than one arc from i to j), as it often it easier to come up with examples. When we say 3 nodes, we mean s, t and one other node. Part A: All arcs have different capacities, but there are at least two distinct minimum cuts. (3 nodes are sufficient.) Part B: We increase the capacity of each arc by 2 units, and the minimum cut changes. (3 nodes are enough if we permit parallel arcs. Part C. All capacities are odd, but the max flow is even. (2 nodes is enough if we permit parallel arcs). Part D. We increase the capacity of all arcs by 2, but the maximum flow increases by 3. (3 nodes are enough if we permit parallel arcs.). Part E. All arc capacities are integer values, but there is a maximum flow such that the flow on at least one of the arcs is fractional. (Note, there will also be an integer optimum flow.) (3 nodes are enough if parallel arcs are permitted.) Challenge Problem H: (10 Points) Consider a min cost flow problem where all cost coefficients are positive. Suppose we increase the supply at some source node and the demand at some sink node, while maintaining feasibility. Dakota Fanning claims that the value of the optimal cost will increase. Provide a counterexample to this claim. Page 10 of 11